
QGIS Application - Bug report #13029

qgis crash

2015-06-23 01:49 AM - Marco Braida

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21105

Description

with qgis:

  Installato: 1:2.9.0+git20150621+cb7f9b4+20trusty-ubuntugis

  Candidato:  1:2.9.0+git20150621+cb7f9b4+20trusty-ubuntugis

  Tabella versione: *** 1:2.9.0+git20150621+cb7f9b4+20trusty-ubuntugis 0

        500 http://qgis.org/ubuntugis-nightly/ trusty/main amd64 Packages

        100 /var/lib/dpkg/status

     2.0.1-2build2 0

        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages

Running qgis2web plugin on a postgresql/postgis layer in preview/export OL3 mode:

src/core/qgscoordinatereferencesystem.cpp: 985: (setMapUnits) [99127ms] Projection has linear units of metre

Fatal: ASSERT failure in QVector<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qvector.h, line 355

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin[0x4c7eb2]

/usr/bin/qgis.bin[0x4c817d]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7ffff26e8bb1]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70ff9)[0x7ffff26e8ff9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7ffff26e9804]

/usr/lib/libqgis_core.so.2.9.0(+0x2f0ceb)[0x7ffff4026ceb]

/usr/lib/libqgis_core.so.2.9.0(QgsFields::field(QString const&) const+0x44)[0x7ffff40257a8]

/usr/lib/python2.7/dist-packages/qgis/_core.so(+0x86405e)[0x7fff6593a05e]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x4bd4)[0x7fff673350d4]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x4b59)[0x7fff67335059]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x4b59)[0x7fff67335059]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x80d)[0x7fff6733717d]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(+0x162310)[0x7fff67337310]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyObject_Call+0x43)[0x7fff672fee23]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(+0x7d30d)[0x7fff6725230d]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyObject_Call+0x43)[0x7fff672fee23]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47)[0x7fff672bd837]

/usr/lib/python2.7/dist-packages/sip.so(sip_api_invoke_slot+0x1b8)[0x7fff66ec9048]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x1a2a26)[0x7fff66bd4a26]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x1a2d40)[0x7fff66bd4d40]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x1a38dd)[0x7fff66bd58dd]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x4d8)[0x7ffff2809a78]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractButton::clicked(bool)+0x32)[0x7ffff21dd172]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x57ba63)[0x7ffff1f40a63]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x57cbd3)[0x7ffff1f41bd3]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractButton::mouseReleaseEvent(QMouseEvent*)+0x6c)[0x7ffff1f41cbc]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x4ec9cb)[0x7fff664d29cb]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xaca)[0x7ffff1bde51a]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x53c08b)[0x7fff6652208b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x8c)[0x7ffff1b8ee2c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x3ad)[0x7ffff1b955dd]

/usr/lib/libqgis_core.so.2.9.0(QgsApplication::notify(QObject*, QEvent*)+0x8f)[0x7ffff3f94f69]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7ffff27f54dd]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool)+0x153)[0x7ffff1b94d93]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2449eb)[0x7ffff1c099eb]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(XEvent*)+0x1559)[0x7ffff1c09289]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bb32)[0x7ffff1c30b32]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fffed9b2e04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffed9b3048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffed9b30ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x

ffff28227a1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7ffff1c30be6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7ffff27f40a

]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7ffff27f43a5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDialog::exec()+0xcc)[0x7ffff203606c]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x50afb5)[0x7fff664f0fb5]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x4bd4)[0x7fff673350d4]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x80d)[0x7fff6733717d]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(+0x162310)[0x7fff67337310]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyObject_Call+0x43)[0x7fff672fee23]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(+0x7d30d)[0x7fff6725230d]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyObject_Call+0x43)[0x7fff672fee23]

/usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47)[0x7fff672bd837]

/usr/lib/python2.7/dist-packages/sip.so(sip_api_invoke_slot+0x1b8)[0x7fff66ec9048]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x1a2a26)[0x7fff66bd4a26]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x1a2d40)[0x7fff66bd4d40]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x1a38dd)[0x7fff66bd58dd]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x4d8)[0x7ffff2809a78]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7ffff1b88a62]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x63)[0x7ffff1b8a433]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x24e)[0x7ffff280dc1e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::event(QEvent*)+0x12)[0x7ffff1b8a4f2]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x54199b)[0x7fff6652799b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x8c)[0x7ffff1b8ee2c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x270)[0x7ffff1b954a0]

/usr/lib/libqgis_core.so.2.9.0(QgsApplication::notify(QObject*, QEvent*)+0x8f)[0x7ffff3f94f69]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7ffff27f54dd]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendPostedEvents(QObject*, int,

QThreadData*)+0x1ed)[0x7ffff27f8b3d]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf83)[0x7ffff2822f83]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fffed9b2e04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffed9b3048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffed9b30ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x

ffff28227a1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7ffff1c30be6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7ffff27f40a

]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7ffff27f43a5]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7ffff27f9b79]

/usr/bin/qgis.bin[0x4cb2ab]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf5)[0x7fffefb44ec5]

/usr/bin/qgis.bin[0x4c7949]

Program received signal SIGABRT, Aborted.

0x00007fffefb59cc9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

History

#1 - 2015-06-23 02:29 AM - Saber Razmjooei

- Status changed from Open to Feedback

Does QGIS crash after running qgis2web plugin?

If so, please file a ticket on the plugin bug tracker.

#2 - 2015-06-29 11:56 PM - Saber Razmjooei

- Status changed from Feedback to Closed

Closed due to no feedback.
